首页 新闻 搜索 专区 学院

.net FrameWork4.0 添加ADO.NET实体报错

0
悬赏园豆:20 [已解决问题] 解决于 2014-08-30 15:56

我的一个小项目本来一开始.net framework4.5 和ef没问题,但是因为发布上去发现服务器上的.net framework 是4.0的 然后我就把项目的.netframework版本降到4.0 然后生成报错

我想问下怎么解决这个问题

降低EF版本吗?我在网上搜了一下都没搜到相关操作

微风吹过12x的主页 微风吹过12x | 初学一级 | 园豆:73
提问于:2014-08-28 10:51
< >
分享
最佳答案
0

你的EF版本可能太高了,删掉EF,然后重新Nuget安装一个。

收获园豆:20
幻天芒 | 高人七级 |园豆:36594 | 2014-08-28 11:10
其他回答(2)
0

EF对4.5和4.0有不同的程序集对应。你要把项目里通过NUGET卸载全部EF。然后重新引用。如果你运气不好遇到有程序集依赖EF的话,那你还是推倒复制好了。

Cherbim | 园豆:323 (菜鸟二级) | 2014-08-28 11:11
0

1、Web服务器能否升级到4.5?这个是关键,能最好,一般也应该能才行,反正也不影响性能。不过,WINDOWS 2003可能不行。

2、通过NUGET把EF删除了然后再添加看。

519740105 | 园豆:5810 (大侠五级) | 2014-08-28 11:29
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册